Subject: Re: newlib and long-double question
From: "Sisyphus" <[email-masked]>
To: "marco atzeri" <[email-masked]>, <[email-masked]>
Cc: "N. C." <[email-masked]>
Date: Sun, 10 Apr 2011 20:25:01 +1000
List-Id: <cygwin.cygwin.com>

----- Original Message ----- 
From: "marco atzeri"

>> On a Linux system that I have access to, I see that those functions
>> are in /lib/libm.* but cygwin's /lib/libm.* still seems to lack them.
>> Is there any work around or alternate version ofthis lib that actually
>> has these functions. I honestly do not mean to be rude, but how
>> difficult is it to impliment these functions which seem so common in
>> most unix-like systems?
>
> It is not overcomplicated to implement it, but it takes time and
> someone to do it.
> When I implemented all the complex functions (cabs, ccos..) I spent one 
> month
> to make it right. A more capable guy will take less surely, but as
> mention I see little
> benefit moving from 64 to 80 bits so I was not interested to implement it.
>

I sense an opportunity here to plug (to the op) the Math::MPFR perl module - 
for which the gmp and mpfr C libraries are required.
I guess one could also use Math::BigFloat, but I assume the op has already 
considered (and rejected) that option - the performance hit incurred by its 
use has always discouraged me.
Perhaps he has also already considered and rejected Math::MPFR, but it seems 
to me to be by far the best option for achieving added precision with 
floating point numbers - at least until such time as building perl 
with -Duselongdouble has been facilitated.

Cheers,
Rob

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple